For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
              • GETList Shipping Methods in Zone
              • POSTCreate Shipping Method
              • GETGet Shipping Method
              • PUTUpdate Shipping Method
              • DELDelete Shipping Method
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementShippingV2Shipping Method

List Shipping Methods in Zone

GET
https://api.bigcommerce.com/stores/:store_hash/v2/shipping/zones/:zone_id/methods
GET
/stores/:store_hash/v2/shipping/zones/:zone_id/methods
$curl https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200Example 1
1[
2 {
3 "channel_ids": [
4 1,
5 2
6 ],
7 "enabled": true,
8 "handling_fees": {
9 "fixed_surcharge": 2.5
10 },
11 "id": 23225205,
12 "is_fallback": false,
13 "name": "Royal Mail Standard",
14 "settings": {},
15 "type": "royalmail"
16 },
17 {
18 "channel_ids": [
19 1
20 ],
21 "enabled": true,
22 "handling_fees": {
23 "percentage_surcharge": 5
24 },
25 "id": 35889344,
26 "is_fallback": false,
27 "name": "Canada Post Expedited",
28 "settings": {},
29 "type": "canadapost"
30 }
31]

Returns a list of Shipping Methods in a zone. Default sorting is by shipping method ID, from lowest to highest.

Was this page helpful?
Previous

Delete Carrier Connection

Next

Create Shipping Method

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | ### Authentication header | Header | Argument | Description | | - | - | - | | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

zone_idintegerRequired
ID of the shipping zone.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Response

channel_idslist of integers

List of channels associated to a method. When creating a new method, all available channels are associated by default. (Optional)

enabledboolean
Whether or not this shipping zone method is enabled.
handling_feesobject
idintegerRead-only

Shipping method ID. Read-only.

is_fallbackboolean
Whether or not this shipping method is a fallback method used when advanced shipping rules are unavailable.
namestring
Display name for shipping method.
settingsobject

Depends on the shipping method type. See the supported settings object.

typeenum

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.